Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class Util.Logger

    java.lang.Object
      php.java.bridge.Util.Logger

Enclosing class:
  Util

    public static class Util.Logger

extends java.lang.Object

A logger class.

Constructor Summary
`Util.Logger()`

Method Summary
`void` | `log(java.lang.String s)` Log a message
`java.lang.String` | `now()` Create a String containing the current date/time.
`void` | `printStackTrace(java.lang.Throwable t)` Log a stack trace

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util.Logger

    public Util.Logger()

Method Detail

### now

    public java.lang.String now()

  Create a String containing the current date/time.

  Returns:
    The date/time as a String

### log

    public void log(java.lang.String s)

  Log a message

  Parameters:
    `s` - The message

### printStackTrace

    public void printStackTrace(java.lang.Throwable t)

  Log a stack trace

  Parameters:
    `t` - The Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD